Loading...
Searching...
No Matches
itkOpenCLMacro.h File Reference
`#include "itkMacro.h"`
`#include "itkOpenCLExport.h"`
`#include <string>`
`#include <sstream>`
Include dependency graph for itkOpenCLMacro.h:

Go to the source code of this file.

## Data Structures

class | itk::OpenCLCompileError

## Namespaces

namespace | itk

## Macros

#define | itkOpenCLDebugMacro(x)
#define | itkOpenCLDebugMacroGeneric(x)
#define | itkOpenCLDebugWithObjectMacro(self, x)
#define | itkOpenCLErrorMacro(x)
#define | itkOpenCLErrorMacroGeneric(x)
#define | itkOpenCLErrorWithObjectMacro(self, x)
#define | itkOpenCLWarningMacro(x)
#define | itkOpenCLWarningMacroGeneric(x)
#define | itkOpenCLWarningWithObjectMacro(self, x)

## Macro Definition Documentation

## itkOpenCLDebugMacro

#define itkOpenCLDebugMacro | ( |  | x | ) |

Value:
itkOpenCLDebugWithObjectMacro(this, x)
itkOpenCLDebugWithObjectMacro
#define itkOpenCLDebugWithObjectMacro(self, x)
Definition itkOpenCLMacro.h:88

itkOpenCLMacro.h defines standard OpenCL macros, constants, and other parameters. Macros are available for built-in types; for string classes; vector arrays; object pointers; and debug, warning, and error printout information.

This macro is used to print out debug message to the current message handler in instance methods itkOpenCLDebugMacro("Debug message" << this->SomeVariable);

Definition at line 37 of file itkOpenCLMacro.h.

## itkOpenCLDebugMacroGeneric

#define itkOpenCLDebugMacroGeneric | ( |  | x | ) |

Value:
{ \
std::stringstream itkmsg; \
itkmsg << __FILE__ << "(" << __LINE__ << "): itkOpenCL generic debug." \
<< "\nDebug: in function: " << __FUNCTION__ << "\nDetails: " x << "\n\n"; \
::itk::OutputWindowDisplayDebugText(itkmsg.str().c_str()); \
}

This macro is used to print out debug message to the current message handler in main() function or generic functions itkOpenCLDebugMacroGeneric(<< "Debug message generic" << SomeVariable);

Definition at line 52 of file itkOpenCLMacro.h.

## itkOpenCLDebugWithObjectMacro

#define itkOpenCLDebugWithObjectMacro | ( |  | self,
|  |  | x )

Value:
{ \
std::stringstream itkmsg; \
itkmsg << __FILE__ << "(" << __LINE__ << "): itkOpenCL debug." \
<< "\nDebug: in function: " << __FUNCTION__ << "; Name: " << self->GetNameOfClass() << " (" << self << ")" \
<< "\nDetails: " x << "\n\n"; \
::itk::OutputWindowDisplayDebugText(itkmsg.str().c_str()); \
}

This macro is used to print out debug statements. For example:

itkOpenCLDebugWithObjectMacro(self, "Debug message" << variable);

File and line information will be printed in Visual Studio format.

See also
  itkOpenCLWarningWithObjectMacro(), itkOpenCLErrorWithObjectMacro()

Definition at line 88 of file itkOpenCLMacro.h.

## itkOpenCLErrorMacro

#define itkOpenCLErrorMacro | ( |  | x | ) |

Value:
itkOpenCLErrorWithObjectMacro(this, x)
itkOpenCLErrorWithObjectMacro
#define itkOpenCLErrorWithObjectMacro(self, x)
Definition itkOpenCLMacro.h:119

This macro is used to print out error message to the current message handler in instance methods itkOpenCLErrorMacro("Error message" << this->SomeVariable);

Definition at line 47 of file itkOpenCLMacro.h.

## itkOpenCLErrorMacroGeneric

#define itkOpenCLErrorMacroGeneric | ( |  | x | ) |

Value:
{ \
std::stringstream itkmsg; \
itkmsg << __FILE__ << "(" << __LINE__ << "): itkOpenCL generic error." \
<< "\nError: in function: " << __FUNCTION__ << "\nDetails: " x << "\n\n"; \
::itk::OutputWindowDisplayErrorText(itkmsg.str().c_str()); \
}

This macro is used to print out error message to the current message handler in main() function or generic functions itkOpenCLErrorMacroGeneric(<< "Error message generic" << SomeVariable);

Definition at line 74 of file itkOpenCLMacro.h.

## itkOpenCLErrorWithObjectMacro

#define itkOpenCLErrorWithObjectMacro | ( |  | self,
|  |  | x )

Value:
{ \
std::stringstream itkmsg; \
itkmsg << __FILE__ << "(" << __LINE__ << "): itkOpenCL error." \
<< "\nError: in function: " << __FUNCTION__ << "; Name: " << self->GetNameOfClass() << " (" << self << ")" \
<< "\nDetails: " x << "\n\n"; \
::itk::OutputWindowDisplayErrorText(itkmsg.str().c_str()); \
}

This macro is used to print out errors. For example:

itkOpenCLErrorWithObjectMacro(self, "Error message" << variable);

File and line information will be printed in Visual Studio format.

See also
  itkOpenCLWarningWithObjectMacro(), itkOpenCLDebugWithObjectMacro()

Definition at line 119 of file itkOpenCLMacro.h.

## itkOpenCLWarningMacro

#define itkOpenCLWarningMacro | ( |  | x | ) |

Value:
itkOpenCLWarningWithObjectMacro(this, x)
itkOpenCLWarningWithObjectMacro
#define itkOpenCLWarningWithObjectMacro(self, x)
Definition itkOpenCLMacro.h:103

This macro is used to print out warning message to the current message handler in instance methods itkOpenCLWarningMacro("Warning message" << this->SomeVariable);

Definition at line 42 of file itkOpenCLMacro.h.

## itkOpenCLWarningMacroGeneric

#define itkOpenCLWarningMacroGeneric | ( |  | x | ) |

Value:
{ \
std::stringstream itkmsg; \
itkmsg << __FILE__ << "(" << __LINE__ << "): itkOpenCL generic warning." \
<< "\nWarning: in function: " << __FUNCTION__ << "\nDetails: " x << "\n\n"; \
::itk::OutputWindowDisplayWarningText(itkmsg.str().c_str()); \
}

This macro is used to print out warning message to the current message handler in main() function or generic functions itkOpenCLWarningMacroGeneric(<< "Warning message generic" << SomeVariable);

Definition at line 63 of file itkOpenCLMacro.h.

## itkOpenCLWarningWithObjectMacro

#define itkOpenCLWarningWithObjectMacro | ( |  | self,
|  |  | x )

Value:
{ \
std::stringstream itkmsg; \
itkmsg << __FILE__ << "(" << __LINE__ << "): itkOpenCL warning." \
<< "\nWarning: in function: " << __FUNCTION__ << "; Name: " << self->GetNameOfClass() << " (" << self \
<< ")" \
<< "\nDetails: " x << "\n\n"; \
::itk::OutputWindowDisplayWarningText(itkmsg.str().c_str()); \
}

This macro is used to print out warnings. For example:

itkOpenCLWarningWithObjectMacro(self, "Warning message" << variable);

File and line information will be printed in Visual Studio format.

See also
  itkOpenCLDebugWithObjectMacro(), itkOpenCLErrorWithObjectMacro()

Definition at line 103 of file itkOpenCLMacro.h.

Generated on 1768596610 for elastix by 1.15.0 |